Debian Bug report logs - #140387
libldap2: Hostless ldap urls broken (since at least 2.0.21)

version graph

Package: libldap2; Maintainer for libldap2 is (unknown);

Reported by: LaMont Jones <lamont@security.hp.com>

Date: Thu, 28 Mar 2002 23:18:05 UTC

Severity: normal

Tags: patch

Found in version 2.0.23-3

Fixed in version openldap2/2.0.23-7

Done: Wichert Akkerman <wakkerma@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>, openldap2@packages.qa.debian.org:
Bug#140387; Package libldap2. Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@security.hp.com>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>, openldap2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@security.hp.com>
To: submit@bugs.debian.org
Subject: libldap2: Hostless ldap urls broken (since at least 2.0.21)
Date: Thu, 28 Mar 2002 16:14:45 -0700 (MST)
Package: libldap2
Version: 2.0.23-3
Severity: normal
Tags: patch

ldap urls with no host in them (should use the current connection) instead
attempt to contact localhost.  The following patch fixes this defect, which
I believe was introduced no later than 2.0.21, probably to fix ldap urls
_with_ hostnames in them...

I can't justify anything higher than normal, but this is blocking a
production rollout that I'm doing...

thanks,
lamont
====================================================================
diff -ur t/openldap2-2.0.23/libraries/libldap/request.c openldap2-2.0.23/libraries/libldap/request.c
--- t/openldap2-2.0.23/libraries/libldap/request.c	Fri Jan  4 13:38:21 2002
+++ openldap2-2.0.23/libraries/libldap/request.c	Thu Mar 28 15:55:31 2002
@@ -135,7 +135,7 @@
 	ld->ld_errno = LDAP_SUCCESS;	/* optimistic */
 
 	if ( lc == NULL ) {
-		if ( srvlist == NULL ) {
+		if ( srvlist == NULL || srvlist->lud_host == NULL ) {
 			lc = ld->ld_defconn;
 		} else {
 			if (( lc = find_connection( ld, srvlist, 1 )) ==
====================================================================

-- System Information
Debian Release: 3.0
Kernel Version: Linux whatone 2.4.5 #1 SMP Mon Jun 11 22:05:25 MDT 2001 i686 unknown

Versions of the packages libldap2 depends on:
ii  libc6          2.2.4-7        GNU C Library: Shared libraries and Timezone
ii  libsasl7       1.5.27-2       Authentication abstraction library.



Reply sent to Wichert Akkerman <wakkerma@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to LaMont Jones <lamont@security.hp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 140387-close@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wakkerma@debian.org>
To: 140387-close@bugs.debian.org
Subject: Bug#140387: fixed in openldap2 2.0.23-7
Date: Sat, 04 May 2002 14:17:22 -0400
We believe that the bug you reported is fixed in the latest version of
openldap2, which is due to be installed in the Debian FTP archive:

ldap-gateways_2.0.23-7_i386.deb
  to pool/main/o/openldap2/ldap-gateways_2.0.23-7_i386.deb
ldap-utils_2.0.23-7_i386.deb
  to pool/main/o/openldap2/ldap-utils_2.0.23-7_i386.deb
libldap2-dev_2.0.23-7_i386.deb
  to pool/main/o/openldap2/libldap2-dev_2.0.23-7_i386.deb
libldap2_2.0.23-7_i386.deb
  to pool/main/o/openldap2/libldap2_2.0.23-7_i386.deb
openldap2_2.0.23-7.diff.gz
  to pool/main/o/openldap2/openldap2_2.0.23-7.diff.gz
openldap2_2.0.23-7.dsc
  to pool/main/o/openldap2/openldap2_2.0.23-7.dsc
slapd_2.0.23-7_i386.deb
  to pool/main/o/openldap2/slapd_2.0.23-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 140387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wichert Akkerman <wakkerma@debian.org> (supplier of updated openldap2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Sat,  4 May 2002 20:05:32 +0200
Source: openldap2
Binary: ldap-utils ldap-gateways libldap2-dev libldap2 slapd
Architecture: source i386
Version: 2.0.23-7
Distribution: unstable
Urgency: low
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Changed-By: Wichert Akkerman <wakkerma@debian.org>
Description: 
 ldap-gateways - OpenLDAP Gateways
 ldap-utils - OpenLDAP utilities.
 libldap2   - OpenLDAP libraries.
 libldap2-dev - OpenLDAP development libraries.
 slapd      - OpenLDAP server (slapd).
Closes: 114021 140387
Changes: 
 openldap2 (2.0.23-7) unstable; urgency=low
 .
   * Add Brazilian translation for debconf templates. Closes: Bug#114021
   * Fix hostless LDAP URLs, patch from Lamont Jones. Closes: Bug#140387
Files: 
 7b8c7cd0d56bacb75784fc84e40d73d0 1428 net extra openldap2_2.0.23-7.dsc
 e181f62f89a402093bf39718396e292e 14866 net extra openldap2_2.0.23-7.diff.gz
 dbb193ca162000e1286dd6d2a849c0c6 64930 net extra ldap-gateways_2.0.23-7_i386.deb
 5a4358b6109806072bbe9499d3b34227 86066 net extra ldap-utils_2.0.23-7_i386.deb
 f919e2f1e19a15da366b0f7094091134 1724208 devel extra libldap2-dev_2.0.23-7_i386.deb
 7e45b89d5b331c10777b8fb77a97d49c 172172 libs important libldap2_2.0.23-7_i386.deb
 63c6f0934bff758e4228c8442d437613 607874 net extra slapd_2.0.23-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQIeBAEUAwAGBQI81CPMAAoJEH18BjbHbzjSSk4H/0LYYqf9kBKEuF4OENH2W1fF
own3iai1dtnDKhiSux3l7M7Pkkmg/0agS+kaW3G2lB5dMGbDYEaFXgxuAIuNEbnv
AEWB4A2Q5OsJX87WGdjWxo0djkFUYDjxAxO+39c2Nb7C2UMWd6L/+r+FwBkcFbbd
QpxZ59j6qAOh6AhPKDNUHHubmh5IR/+fB6lgozgI58L8SaClqDUsKEzrDPRrnXRx
er85SnYYlQVnGmPfS8GLUNviFhLqXphYKxuDSfuMBx3x8yHA/rWhkyLL6xb6343S
tnEqy4x3q3CQ4m5dnHEu+jj6TvaoCuVEcvirTrdFCJRpb8UObsY4W8wSZye63jQH
/09j0ig0pt74SzaxA6yJNWH0OfVh4tcuGrKurAm3nq9lM5+cj8BlGXnWRP6zSDkS
jzCnlrqErDyaSzNMU5OHYDRj+jCwPLi8L4FknPG1RZhe2QKRj9NxayyA8ilJVqE6
arG5hU3PBO7t1YZGzPQs8JLiVKWSTbQrbT0a/Qc4rXksQ8IiP9Xu4Z7j6vV0wnXE
IEpCgs+9AwJ4GajCxtywlW6KnzlJf9j0/0m8L23zgmkQtfZaxPzWF8MN5DlS9OyT
H5OKNw79x6E8P482dfBfG7TSL7vFBpeJxR1JuWqRbT5Ig5iWQy7f7NUDxif1BpAi
VaI3cIZdreJ5YQUMbOl1JQc=
=NvHK
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:49:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.